This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 567027 - Review Request: flowcanvas - Interactive widget for "boxes and lines" environments
Review Request: flowcanvas - Interactive widget for "boxes and lines" environ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Gieseking
Fedora Extras Quality Assurance
:
: 524190 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-21 01:53 EST by Orcan Ogetbil
Modified: 2010-04-26 22:25 EDT (History)
4 users (show)

See Also:
Fixed In Version: flowcanvas-0.6.0-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-25 09:53:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
martin.gieseking: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orcan Ogetbil 2010-02-21 01:53:26 EST
Spec URL: http://oget.fedorapeople.org/review/flowcanvas.spec
SRPM URL: http://oget.fedorapeople.org/review/flowcanvas-0.6.0-1.fc12.src.rpm
Description: 
FlowCanvas is an interactive Gtkmm/Gnomecanvasmm widget for graph-based
interfaces (patchers, modular synthesizers, finite state automata,
interactive graphs, etc).
Comment 1 Orcan Ogetbil 2010-02-21 01:54:13 EST
*** Bug 524190 has been marked as a duplicate of this bug. ***
Comment 2 Martin Gieseking 2010-03-31 10:28:03 EDT
Here's my review of your package. I couldn't find anything to complain about.
Just a file containing the GPLv2 license text is missing in the tarball. You should ask upstream to add it in future releases.

$ rpmlint /var/lib/mock/fedora-12-i386/result/flowcanvas-*.rpm
flowcanvas.i686: W: spelling-error %description -l en_US patchers -> patches, pitchers, catchers
flowcanvas.i686: W: spelling-error %description -l en_US automata -> automate, automatic, automaton
flowcanvas.src: W: spelling-error %description -l en_US patchers -> patches, pitchers, catchers
flowcanvas.src: W: spelling-error %description -l en_US automata -> automate, automatic, automaton
flowcanvas-devel.i686: W: spelling-error %description -l en_US patchers -> patches, pitchers, catchers
flowcanvas-devel.i686: W: spelling-error %description -l en_US automata -> automate, automatic, automaton
4 packages and 0 specfiles checked; 0 errors, 6 warnings.

These spelling errors can be ignored.

---------------------------------
keys used in following checklist:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    - GPLv2+ according to source file headers

[+] MUST: The License field in the package spec file must match the actual license.
[.] MUST: The file containing the text of the license(s) for the package must be included in %doc.
    - GPLv2 license text is missing in upstream tarball

[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
    $ md5sum flowcanvas-0.6.0.tar.bz2*
    15ffa0d65401bb38a3cc94a3d6afb199  flowcanvas-0.6.0.tar.bz2
    15ffa0d65401bb38a3cc94a3d6afb199  flowcanvas-0.6.0.tar.bz2.1

[+] MUST: The package MUST successfully compile and build 
    - F-12: http://koji.fedoraproject.org/koji/taskinfo?taskID=2087093
    - F-13: http://koji.fedoraproject.org/koji/taskinfo?taskID=2087111 

[.] MUST: If the package does not successfully compile, build or work ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[+] MUST: Packages storing shared library files (not just symlinks) must call ldconfig in %post and %postun.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot}.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[+] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
[+] MUST: .so files without suffix must go in a -devel package.
[+] MUST: devel packages must require the base package using a fully versioned dependency
[+] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[X] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described.
    - I successfully built and executed Patchage (http://drobilla.net/software/patchage) with this library

[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: subpackages other than devel should require the base package using a fully versioned dependency.
[+] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.

------------------------
The package is APPROVED.
------------------------
Comment 3 Orcan Ogetbil 2010-04-04 01:52:46 EDT
Thanks Martin!

I opened an upstream ticket for the license file:
   http://dev.drobilla.net/ticket/499


New Package CVS Request
=======================
Package Name: flowcanvas
Short Description: Interactive widget for "boxes and lines" environments
Owners: oget
Branches: F-11 F-12 F-13
InitialCC:
Comment 4 Kevin Fenzi 2010-04-05 00:01:40 EDT
CVS done (by process-cvs-requests.py).
Comment 5 Fedora Update System 2010-04-10 05:53:23 EDT
flowcanvas-0.6.0-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/flowcanvas-0.6.0-1.fc13
Comment 6 Fedora Update System 2010-04-10 05:53:47 EDT
flowcanvas-0.6.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/flowcanvas-0.6.0-1.fc12
Comment 7 Fedora Update System 2010-04-10 05:54:26 EDT
flowcanvas-0.6.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/flowcanvas-0.6.0-1.fc11
Comment 8 Fedora Update System 2010-04-12 21:53:34 EDT
flowcanvas-0.6.0-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update flowcanvas'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/flowcanvas-0.6.0-1.fc11
Comment 9 Fedora Update System 2010-04-12 21:55:12 EDT
flowcanvas-0.6.0-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update flowcanvas'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/flowcanvas-0.6.0-1.fc12
Comment 10 Fedora Update System 2010-04-12 21:58:01 EDT
flowcanvas-0.6.0-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update flowcanvas'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/flowcanvas-0.6.0-1.fc13
Comment 11 Fedora Update System 2010-04-25 09:53:11 EDT
flowcanvas-0.6.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2010-04-26 22:24:15 EDT
flowcanvas-0.6.0-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-04-26 22:25:52 EDT
flowcanvas-0.6.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.